Nous ne répondons seulement qu'aux sujets dont l'auteur a complété sa signature [Lire]


Mise à jour 1.5.1 à 1.5.4.1

Veuillez inscrire tous genres de problème que vous rencontrez à  l'installation initiale ou la mise à jour d'OpenCart

Mise à jour 1.5.1 à 1.5.4.1

Messagepar helene » 09 Mar 2013, 20:09

comme je m'y attendais j'ai un problème (mais maline, j'ai fait ça en local :D )

je disais donc j'ai (presque) tout fait bien puisque j'arrive à aller sur le panneau admin. Mais si je clique sur boutique je me retrouve avec cette erreur :

Fatal error: Class 'Encryption' not found in C:\wamp\www\odyssee2\index.php on line 213

et, avant que Monsieur Leorlindel me fasse la remarque, j'ai cherché une solution sur le forum anglais, notamment sur ce post là : http://forum.opencart.com/viewtopic.php?f=20&t=56488&p=265542
et ils n'ont pas de solution satisfaisante. J'ai essayé les manip qu'ils indiquent, ça ne règle pas le problème.
Une soluce chez les frenchies?????
Dernière édition par helene le 11 Mar 2013, 17:25, édité 1 fois.
hébergeur : franceserv.fr (librairie-odyssee.net)

opencart v1.5.5.1_Fr - vqMod - vqmod manager - theme azure
helene
Utilisateur enregistré
Utilisateur enregistré
 
Messages: 95
Inscription: 01 Fév 2011, 00:29

Re: Mise à jour 1.5.1 à 1.5.4.1

Messagepar LeorLindel » 09 Mar 2013, 20:15

Peux-tu m'expliquer point par point la procédure que tu as appliqué pour faire cette mise à jour ?
Image
1 - A lire avant de poster un sujet
2 - Politique sur la signature.

Quand le sujet est résolu, pensez à ajouter la petite coche verte Image dans le titre initial en éditant votre premier message et non dans votre dernière réponse.
Merci


Toutes les extensions commerciales (templates ou modules payants) ne peuvent pas faire l'objet d'ouverture de sujet, prière de bien vouloir s'adresser au concepteur en cas de problème ou demande de renseignements.

Seul, on avance plus vite, à plusieurs on avance plus loin.
Avatar de l’utilisateur
LeorLindel
Administrateur
Administrateur
 
Messages: 4245
Inscription: 19 Fév 2010, 12:44
Localisation: Lutéce

Re: Mise à jour 1.5.1 à 1.5.4.1

Messagepar helene » 09 Mar 2013, 20:33

LeorLindel a écrit:Peux-tu m'expliquer point par point la procédure que tu as appliqué pour faire cette mise à jour ?


En local, j'ai installé opencart 1.5.4.1, tout s'est bien passé.
J'ai ensuite remplacé les fichiers par ceux d'odyssee (en veillant à ne pas remplacer config et index) tout s'est bien passé
j'ai vidé la base de donnée puis je l'ai remplacée par celle d'odyssee mais là petit hic alors j'ai supprimé les tables et fait une requête pour installer les tables d'odyssée, et là tout a fonctionné nickel.

Pas de problème sur le panneau admin, tout était en ordre (nombre de clients, montant des commandes, etc) c'est en cliquant sur boutique que je me retrouve avec cette erreur.

tu vois, je suis (presque) devenue bonne dans les mises à jour, après 15 essais ratés en local, mais je persévère!!! :D
hébergeur : franceserv.fr (librairie-odyssee.net)

opencart v1.5.5.1_Fr - vqMod - vqmod manager - theme azure
helene
Utilisateur enregistré
Utilisateur enregistré
 
Messages: 95
Inscription: 01 Fév 2011, 00:29

Re: Mise à jour 1.5.1 à 1.5.4.1

Messagepar LeorLindel » 09 Mar 2013, 20:38

helene a écrit:En local, j'ai installé opencart 1.5.4.1, tout s'est bien passé.
J'ai ensuite remplacé les fichiers par ceux d'odyssee (en veillant à ne pas remplacer config et index) tout s'est bien passé
j'ai vidé la base de donnée puis je l'ai remplacée par celle d'odyssee mais là petit hic alors j'ai supprimé les tables et fait une requête pour installer les tables d'odyssée, et là tout a fonctionné nickel.

Pas de problème sur le panneau admin, tout était en ordre (nombre de clients, montant des commandes, etc) c'est en cliquant sur boutique que je me retrouve avec cette erreur.
C'est ça le problème, tu fais une installation vierge de la v1.5.4.1 puis tu injectes les fichiers d'une version 1.5.1 (celle de la boutique Odyssée), comment veux-tu que cela fonctionne, tu remets des fichiers d'une v1.5.1 sur une v1.5.4.1. Quelle est la logique la-dedans ?
Image
1 - A lire avant de poster un sujet
2 - Politique sur la signature.

Quand le sujet est résolu, pensez à ajouter la petite coche verte Image dans le titre initial en éditant votre premier message et non dans votre dernière réponse.
Merci


Toutes les extensions commerciales (templates ou modules payants) ne peuvent pas faire l'objet d'ouverture de sujet, prière de bien vouloir s'adresser au concepteur en cas de problème ou demande de renseignements.

Seul, on avance plus vite, à plusieurs on avance plus loin.
Avatar de l’utilisateur
LeorLindel
Administrateur
Administrateur
 
Messages: 4245
Inscription: 19 Fév 2010, 12:44
Localisation: Lutéce

Re: Mise à jour 1.5.1 à 1.5.4.1

Messagepar helene » 09 Mar 2013, 20:47

LeorLindel a écrit:
helene a écrit:En local, j'ai installé opencart 1.5.4.1, tout s'est bien passé.
J'ai ensuite remplacé les fichiers par ceux d'odyssee (en veillant à ne pas remplacer config et index) tout s'est bien passé
j'ai vidé la base de donnée puis je l'ai remplacée par celle d'odyssee mais là petit hic alors j'ai supprimé les tables et fait une requête pour installer les tables d'odyssée, et là tout a fonctionné nickel.

Pas de problème sur le panneau admin, tout était en ordre (nombre de clients, montant des commandes, etc) c'est en cliquant sur boutique que je me retrouve avec cette erreur.
C'est ça le problème, tu fais une installation vierge de la v1.5.4.1 puis tu injectes les fichiers d'une version 1.5.1 (celle de la boutique Odyssée), comment veux-tu que cela fonctionne, tu remets des fichiers d'une v1.5.1 sur une v1.5.4.1. Quelle est la logique la-dedans ?


alors j'ai surement zappé quelque chose dans les mises à jour. je dois transférer uniquement ma base de données???
hébergeur : franceserv.fr (librairie-odyssee.net)

opencart v1.5.5.1_Fr - vqMod - vqmod manager - theme azure
helene
Utilisateur enregistré
Utilisateur enregistré
 
Messages: 95
Inscription: 01 Fév 2011, 00:29

Re: Mise à jour 1.5.1 à 1.5.4.1

Messagepar LeorLindel » 09 Mar 2013, 21:02

Là ce que tu as fait n'est autre qu'une installation neuve de la v1.5.4.1, ce n'est pas du tout une mise à jour !

Une mise à jour se fait avec le fichier upgrade et se fait étape par étape, de la v1.5.1.1 à la v1.5.1.2 puis de la v1.5.1.2 à la v1.5.1.3 et ainsi de suite. Toi tu passes directement de la v1.5.1 à la 1.5.4.1 sans tenir compte des mises à jour intermédiaires.
Image
1 - A lire avant de poster un sujet
2 - Politique sur la signature.

Quand le sujet est résolu, pensez à ajouter la petite coche verte Image dans le titre initial en éditant votre premier message et non dans votre dernière réponse.
Merci


Toutes les extensions commerciales (templates ou modules payants) ne peuvent pas faire l'objet d'ouverture de sujet, prière de bien vouloir s'adresser au concepteur en cas de problème ou demande de renseignements.

Seul, on avance plus vite, à plusieurs on avance plus loin.
Avatar de l’utilisateur
LeorLindel
Administrateur
Administrateur
 
Messages: 4245
Inscription: 19 Fév 2010, 12:44
Localisation: Lutéce

Re: Mise à jour 1.5.1 à 1.5.4.1

Messagepar helene » 09 Mar 2013, 21:11

LeorLindel a écrit:Là ce que tu as fait n'est autre qu'une installation neuve de la v1.5.4.1, ce n'est pas du tout une mise à jour !

Une mise à jour se fait avec le fichier upgrade et se fait étape par étape, de la v1.5.1.1 à la v1.5.1.2 puis de la v1.5.1.2 à la v1.5.1.3 et ainsi de suite. Toi tu passes directement de la v1.5.1 à la 1.5.4.1 sans tenir compte des mises à jour intermédiaires.


peux tu te mettre au niveau de quelqu'un qui n'y connait rien et qui fait de son mieux pour saisir tout ce qu'il lit, termes incompréhensibles inclus??? ce qui te prend 2mn à toi me prends bien 2h à rechercher ce que veulent dire certains termes.

Donc, pour mettre odyssee à jour ainsi que tu me l'as conseillé je dois faire je ne sais combien de manip..... il n'existe donc pas de manière simple d'upgrader, genre, phpbb où il suffit de cliquer sur un bouton dans le panneau admin???
hébergeur : franceserv.fr (librairie-odyssee.net)

opencart v1.5.5.1_Fr - vqMod - vqmod manager - theme azure
helene
Utilisateur enregistré
Utilisateur enregistré
 
Messages: 95
Inscription: 01 Fév 2011, 00:29

Re: Mise à jour 1.5.1 à 1.5.4.1

Messagepar LeorLindel » 09 Mar 2013, 21:23

Non, il n'y a pas de solution miracle comme phpbb. Mais tu peux très bien aussi faire une installation neuve, ré-injecter le dossier /images et charger la sauvegarde de la BDD mais je ne garanti pas le résultat, non plus.

Des tables de la BDD ont pu être modifiés et des champs ont pus être, renommés, déplacés, supprimés, etc...

Mais tu peux faire le test en local.
Image
1 - A lire avant de poster un sujet
2 - Politique sur la signature.

Quand le sujet est résolu, pensez à ajouter la petite coche verte Image dans le titre initial en éditant votre premier message et non dans votre dernière réponse.
Merci


Toutes les extensions commerciales (templates ou modules payants) ne peuvent pas faire l'objet d'ouverture de sujet, prière de bien vouloir s'adresser au concepteur en cas de problème ou demande de renseignements.

Seul, on avance plus vite, à plusieurs on avance plus loin.
Avatar de l’utilisateur
LeorLindel
Administrateur
Administrateur
 
Messages: 4245
Inscription: 19 Fév 2010, 12:44
Localisation: Lutéce

Re: Mise à jour 1.5.1 à 1.5.4.1

Messagepar helene » 09 Mar 2013, 21:31

LeorLindel a écrit:Non, il n'y a pas de solution miracle comme phpbb. Mais tu peux très bien aussi faire une installation neuve, ré-injecter le dossier /images et charger la sauvegarde de la BDD mais je ne garanti pas le résultat, non plus.

Des tables de la BDD ont pu être modifiés et des champs ont pus être, renommés, déplacés, supprimés, etc...

Mais tu peux faire le test en local.


c'est ce que j'ai fait et le résultat a été le message d'erreur en tête du sujet. Note aussi que côté panneau admin, aucun souci toutes mes données étaient là et je pouvais accéder à tout.
Par ailleurs, sur le forum anglais, il semble que cette erreur se soit produite pour d'autres.
Ceci dit, le fichier texte indique qu'on peut passer de 1.5.1 à 1.5.4.1 sans passer par les étapes dont tu parles.
J'ai donc tout enlevé, et je vais recommencer en suivant ce que dit le fichier.
Pour la base de données, comment vérifier les changements???
hébergeur : franceserv.fr (librairie-odyssee.net)

opencart v1.5.5.1_Fr - vqMod - vqmod manager - theme azure
helene
Utilisateur enregistré
Utilisateur enregistré
 
Messages: 95
Inscription: 01 Fév 2011, 00:29

Re: Mise à jour 1.5.1 à 1.5.4.1

Messagepar LeorLindel » 09 Mar 2013, 21:36

Pour vérifier la mise à jour de bdd il suffit de raire une comparaison de fichiers de restauration. Dans le cas d'une nouvelle installation, la bdd est mise à jour, il n'y a pas lieu de faire une comparaison.
Image
1 - A lire avant de poster un sujet
2 - Politique sur la signature.

Quand le sujet est résolu, pensez à ajouter la petite coche verte Image dans le titre initial en éditant votre premier message et non dans votre dernière réponse.
Merci


Toutes les extensions commerciales (templates ou modules payants) ne peuvent pas faire l'objet d'ouverture de sujet, prière de bien vouloir s'adresser au concepteur en cas de problème ou demande de renseignements.

Seul, on avance plus vite, à plusieurs on avance plus loin.
Avatar de l’utilisateur
LeorLindel
Administrateur
Administrateur
 
Messages: 4245
Inscription: 19 Fév 2010, 12:44
Localisation: Lutéce

Re: Mise à jour 1.5.1 à 1.5.4.1

Messagepar helene » 09 Mar 2013, 21:41

bon allez, je vais recommencer mon install, mais je laisse le sujet ouvert, il y a fort à parier que je vais encore avoir des problèmes :D

bonne soirée
hébergeur : franceserv.fr (librairie-odyssee.net)

opencart v1.5.5.1_Fr - vqMod - vqmod manager - theme azure
helene
Utilisateur enregistré
Utilisateur enregistré
 
Messages: 95
Inscription: 01 Fév 2011, 00:29

Re: Mise à jour 1.5.1 à 1.5.4.1

Messagepar LeorLindel » 09 Mar 2013, 21:42

A toi aussi.
Image
1 - A lire avant de poster un sujet
2 - Politique sur la signature.

Quand le sujet est résolu, pensez à ajouter la petite coche verte Image dans le titre initial en éditant votre premier message et non dans votre dernière réponse.
Merci


Toutes les extensions commerciales (templates ou modules payants) ne peuvent pas faire l'objet d'ouverture de sujet, prière de bien vouloir s'adresser au concepteur en cas de problème ou demande de renseignements.

Seul, on avance plus vite, à plusieurs on avance plus loin.
Avatar de l’utilisateur
LeorLindel
Administrateur
Administrateur
 
Messages: 4245
Inscription: 19 Fév 2010, 12:44
Localisation: Lutéce

Re: Mise à jour 1.5.1 à 1.5.4.1

Messagepar LeorLindel » 10 Mar 2013, 11:36

helene a écrit:Ceci dit, le fichier texte indique qu'on peut passer de 1.5.1 à 1.5.4.1 sans passer par les étapes dont tu parles.
Autant pour moi. Depuis la v1.5.x on peut faire une mise à jour sans passer par toutes les versions intermédiaires. Sorry !

Il te suffit de suivre les instructions suivantes :
ÉTAPE 1. Sauvegarder vos fichiers MAGASIN EXISTANTS ET BASE DE DONNÉES !

ÉTAPE 2. Télécharger tous les nouveaux fichiers sur vos fichiers actuels SAUF config.php, admin/config.php et le dossier images/

ÉTAPE 3. Accéder à votre boutique et réaliser la mise à jour, exemple : http://www.votreboutique.com/install/upgrade.php

ÉTAPE 4. Après environ 10 secondes, vous devriez voir le message de réussite de la mise à niveau ou une liste d'erreurs.

ÉTAPE 5. Pour le problème des erreurs de script, consulter les forums.

ÉTAPE 6. Effacer les cookies dans votre navigateur pour éviter d'obtenir des erreurs.

STEP 7. Charger la page d'admin et actualiser (appuyer sur Ctrl + F5 deux fois pour forcer le navigateur à mettre à jour les modifications css).

ÉTAPE 8. Aller à Admin-> Utilisateurs-> Groupes d'utilisateurs et modifier le groupe Administrateur. Cocher toutes les cases (tout sélectionner).

ÉTAPE 9. Aller dans l'Admin et modifier les paramètres du système. Mettre à jour tous les champs et cliquer sur Enregistrer, même si rien n'est à changer.

ÉTAPE 10. Aller sur la boutique (catalog) et actualiser (appuyer sur Ctrl + F5 deux fois pour forcer le navigateur à mettre à jour les modifications css).
Image
1 - A lire avant de poster un sujet
2 - Politique sur la signature.

Quand le sujet est résolu, pensez à ajouter la petite coche verte Image dans le titre initial en éditant votre premier message et non dans votre dernière réponse.
Merci


Toutes les extensions commerciales (templates ou modules payants) ne peuvent pas faire l'objet d'ouverture de sujet, prière de bien vouloir s'adresser au concepteur en cas de problème ou demande de renseignements.

Seul, on avance plus vite, à plusieurs on avance plus loin.
Avatar de l’utilisateur
LeorLindel
Administrateur
Administrateur
 
Messages: 4245
Inscription: 19 Fév 2010, 12:44
Localisation: Lutéce

Re: Mise à jour 1.5.1 à 1.5.4.1

Messagepar helene » 11 Mar 2013, 17:20

LeorLindel a écrit:
helene a écrit:Ceci dit, le fichier texte indique qu'on peut passer de 1.5.1 à 1.5.4.1 sans passer par les étapes dont tu parles.
Autant pour moi. Depuis la v1.5.x on peut faire une mise à jour sans passer par toutes les versions intermédiaires. Sorry !

Il te suffit de suivre les instructions suivantes :
ÉTAPE 1. Sauvegarder vos fichiers MAGASIN EXISTANTS ET BASE DE DONNÉES !

ÉTAPE 2. Télécharger tous les nouveaux fichiers sur vos fichiers actuels SAUF config.php, admin/config.php et le dossier images/

ÉTAPE 3. Accéder à votre boutique et réaliser la mise à jour, exemple : http://www.votreboutique.com/install/upgrade.php

ÉTAPE 4. Après environ 10 secondes, vous devriez voir le message de réussite de la mise à niveau ou une liste d'erreurs.

ÉTAPE 5. Pour le problème des erreurs de script, consulter les forums.

ÉTAPE 6. Effacer les cookies dans votre navigateur pour éviter d'obtenir des erreurs.

STEP 7. Charger la page d'admin et actualiser (appuyer sur Ctrl + F5 deux fois pour forcer le navigateur à mettre à jour les modifications css).

ÉTAPE 8. Aller à Admin-> Utilisateurs-> Groupes d'utilisateurs et modifier le groupe Administrateur. Cocher toutes les cases (tout sélectionner).

ÉTAPE 9. Aller dans l'Admin et modifier les paramètres du système. Mettre à jour tous les champs et cliquer sur Enregistrer, même si rien n'est à changer.

ÉTAPE 10. Aller sur la boutique (catalog) et actualiser (appuyer sur Ctrl + F5 deux fois pour forcer le navigateur à mettre à jour les modifications css).


c'est fait, la mise a jour a été faite sans problème (plus d'appréhension qu'autre chose) les doigts dans le nez, si je peux me permettre :D et aucun message d'erreur.
hébergeur : franceserv.fr (librairie-odyssee.net)

opencart v1.5.5.1_Fr - vqMod - vqmod manager - theme azure
helene
Utilisateur enregistré
Utilisateur enregistré
 
Messages: 95
Inscription: 01 Fév 2011, 00:29


Retourner vers Soutien Installation et Mise à Jour

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 0 invités